=== debian/control ===
Source: db5.3
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.6
# For DEB_STAGE=stage1 build tcl-dev can be dropped
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10),
	       tcl <cross !pkg.db5.3.notcl>,
	       tcl-dev <!pkg.db5.3.notcl>,
	       procps [!hurd-any] <!nocheck>,
Rules-Requires-Root: no
Homepage: http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/overview/index.html
Vcs-Browser: https://salsa.debian.org/debian/db5.3
Vcs-Git: https://salsa.debian.org/debian/db5.3.git

Package: db5.3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Berkeley v5.3 Database Documentation [html]
 This package contains documentation in HTML format for all of
 the APIs (C, C++, C#, STL, Java, Tcl) and utilities provided
 by version 5.3 of Berkeley DB.

Package: libdb5.3-dev
Architecture: any
Section: libdevel
Depends: libdb5.3 (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.3-doc
Conflicts: libdb4.6-dev, libdb4.7-dev, libdb4.8-dev, libdb5.1-dev, libdb5.2-dev
Description: Berkeley v5.3 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.3 database library.

Package: libdb5.3
Replaces: libdb5.3
Breaks: libdb5.3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Libraries [runtime]
 This is the runtime package for programs that use the v5.3 Berkeley
 database library.

Package: db5.3-util
Architecture: any
Section: database
Multi-Arch: foreign
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.3 database format, and includes:
  - db5.3_archive: write the pathnames of the log files no longer in use.
  - db5.3_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db5.3_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db5.3_load: loads (and creates) a database from standard input.
  - db5.3_dump: read a database file and write it in a format understood
    by db4.{2..8}_load.
  - db5.3_printlog: dump log files in human readable format.
  - db5.3_stat: display statistics for Berkeley DB environments.
  - db5.3_tuner: Analyzes and tunes btree database.
  - db5.3_upgrade: upgrades the version of files and the databases they
    contain.
  - db5.3_verify: check the structure of files and their databases.

Package: libdb5.3++
Replaces: libdb5.3++
Breaks: libdb5.3++ (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v5.3
 database library.  This is only for programs which use the C++ interface.

Package: libdb5.3++-dev
Architecture: any
Section: libdevel
Depends: libdb5.3++ (= ${binary:Version}),
	 libdb5.3-dev (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb4.6++-dev, libdb4.7++-dev, libdb4.8++-dev, libdb5.1++-dev, libdb5.2++-dev
Description: Berkeley v5.3 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.3 database library.  This is only for
 programs which will use the C++ interface.

Package: libdb5.3-dbg
Architecture: any
Section: debug
Depends: libdb5.3 (= ${binary:Version}),
	 ${misc:Depends}
Multi-Arch: same
Description: Berkeley v5.3 Database Libraries [debug]
 This package provides the debug symbols for the Berkeley v5.3 database
 libraries and binaries.
