## db5.3 5.3.28.1

=== debian/changelog ===
db5.3 (5.3.28.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2019-8457: SQLite3 from 3.6.0 to and including 3.27.2 is 
    vulnerable to heap out-of-bound read in the rtreenode() function
     when handling invalid rtree tables.

 -- liaoyuan <liaoyuan@uniontech.com>  Mon, 16 May 2022 13:33:07 +0800
